package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.distributed.print.business.bean.dto.obe.MatrixRequirementDto;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: obe毕业指标dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/6/12
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ObeRequirementDto extends MatrixRequirementDto implements Serializable {

    @ApiModelProperty(value = "毕业指标达成值")
    private BigDecimal matrixDegree = new BigDecimal(0);

    @ApiModelProperty(value = "毕业指标点集合")
    private List<ObeSubRequirementsDto> obeSubRequirements;

    public ObeRequirementDto() {

    }

    public ObeRequirementDto(MatrixRequirementDto matrixRequirementDto) {
        setId(matrixRequirementDto.getId());
        setName(matrixRequirementDto.getName());
        setContent(matrixRequirementDto.getContent());
        setExpectValue(matrixRequirementDto.getExpectValue());
    }

    public BigDecimal getMatrixDegree() {
        return matrixDegree;
    }

    public void setMatrixDegree(BigDecimal matrixDegree) {
        this.matrixDegree = matrixDegree;
    }

    public List<ObeSubRequirementsDto> getObeSubRequirements() {
        return obeSubRequirements;
    }

    public void setObeSubRequirements(List<ObeSubRequirementsDto> obeSubRequirements) {
        this.obeSubRequirements = obeSubRequirements;
    }
}
